'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ColorGenerator;

var _d3Scale = require('d3-scale');

var _d3Scale2 = _interopRequireDefault(_d3Scale);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var GOLDEN_RATIO = (1 + Math.sqrt(5)) / 2;
var GOLDEN_ANGLE = (4 - 2 * GOLDEN_RATIO) * Math.PI;

function ColorGenerator() {
  var i = 0;
  var scale = _d3Scale2.default.scaleRainbow();
  return {
    next: function next() {
      return {
        value: scale(Math.abs(Math.sin(GOLDEN_ANGLE * ++i))),
        done: false
      };
    }
  };
}